javax.security.auth.message.callback

## Class TrustStoreCallback

- java.lang.Object
- - javax.security.auth.message.callback.TrustStoreCallback

- All Implemented Interfaces:
    javax.security.auth.callback.Callback

      public class TrustStoreCallback
      extends java.lang.Object
      implements javax.security.auth.callback.Callback

  A Callback enabling an authentication module to request a truststore from the runtime.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TrustStoreCallback()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.security.KeyStore` | `getTrustStore()`
    `void` | `setTrustStore(java.security.KeyStore trustStore)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TrustStoreCallback

          public TrustStoreCallback()

  - ### Method Detail

    - #### setTrustStore

          public void setTrustStore(java.security.KeyStore trustStore)

    - #### getTrustStore

          public java.security.KeyStore getTrustStore()

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.